2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs: Allow
	  setting the shadow type of the grid. Allow hiding/showing
	  the toolbar.

	* MonoDevelop.Components.PropertyGrid/PropertyGridTree.cs:
	  Added some missing checks.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Fix
	  command target notification issue.

2010-03-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs:
	  ForceFilterButtonVisible now updates button states.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.Commands/ICommandBar.cs:
	* MonoDevelop.Components.Commands/CommandEntry.cs:
	* MonoDevelop.Components.Commands/ActionCommand.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/CommandToolbar.cs:
	* MonoDevelop.Components.Commands/CommandEntrySet.cs:
	* MonoDevelop.Components.Commands/ICommandUserItem.cs:
	* MonoDevelop.Components.Commands/LocalCommandEntry.cs:
	* MonoDevelop.Components.Commands.ExtensionNodes/LocalCommandItemCodon.cs:
	  Added support for custom toolbars through the interface
	  ICommandBar. Removed LocalCommandEntry, which is replaced by
	  CommandEntry, now with some additional constructors.

	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs: Allow
	  externalizing the toolbar.

	* MonoDevelop.Components/GtkUtil.cs: When the tooltip is
	  clicked, syntetize a new click event and forward it to the
	  underlying tree.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.Diff:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.Diff/Diff.cs:
	* MonoDevelop.Components.Diff/Merge.cs:
	* MonoDevelop.Components.Diff/Patch.cs:
	* MonoDevelop.Components.Diff/TextDiff.cs:
	* MonoDevelop.Components.Diff/DiffWidget.cs:
	* MonoDevelop.Components.Diff/UnifiedDiff.cs:
	* MonoDevelop.Components.Diff/StructuredDiff.cs: Moved diff
	  code from VersionControl since it's also used by refactoring
	  addin.

2010-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Add
	  missing command id conversion. Fixes bug #581700 - "Build
	  Action" menu for files is empty.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: Added popup filter
	  menu method.

2010-02-22  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/objects.xml:
	* MonoDevelop.Components/SearchEntry.cs: Fixed 'Bug 581629 -
	  Search and replace should not trim the search/replace term'.

2010-02-19  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui/objects.xml:
	* MonoDevelop.Components/SearchEntry.cs: Added the ability to
	  make more smart "find" menus.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/Command.cs:
	* MonoDevelop.Components.Commands/CommandInfo.cs:
	* MonoDevelop.Components.Commands/ActionCommand.cs:
	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandEntrySet.cs:
	* MonoDevelop.Components.Commands/LinkCommandEntry.cs:
	* MonoDevelop.Components.Commands/CommandArrayInfo.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.Commands/LocalCommandEntry.cs:
	* MonoDevelop.Components.Commands/CommandToggleToolButton.cs:
	  Use the new IconId type to represent icon names.

2010-02-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/FileEntry.cs:
	* MonoDevelop.Components/FolderEntry.cs:
	* MonoDevelop.Components/BaseFileEntry.cs: Use parent window
	  as TransientFor if not set.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandEntry.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs: Added
	  missing id conversions.

2010-02-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/RoundedFrame.cs: Fixed flickering
	  problem.

2010-02-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs:
	* MonoDevelop.Components/HoverImageButton.cs: Added ability to
	  set filter button images.

2010-02-12  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.Theming:
	* MonoDevelop.Components/SearchEntry.cs:
	* MonoDevelop.Components/RoundedFrame.cs:
	* MonoDevelop.Components.Theming/Theme.cs:
	* MonoDevelop.Components/CairoExtensions.cs:
	* MonoDevelop.Components.Theming/GtkTheme.cs:
	* MonoDevelop.Components/PangoCairoHelper.cs:
	* MonoDevelop.Components.Theming/GtkColors.cs:
	* MonoDevelop.Components.Theming/ThemeEngine.cs:
	* MonoDevelop.Components.Theming/ThemeContext.cs: Added some
	  theming & cairo helpers from banshee.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/Command.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs: Make sure
	  command id enums are converted to strings everywhere.

2010-02-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Convert
	  enums properly when doing command lookups.

2010-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/ActionCommand.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs:
	  Don't force to match command ids with enum members anymore.
	  Improves lazy loading of add-ins. Add support for lazy
	  loading command handlers.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.Commands/CommandToggleToolButton.cs:
	  Added an icon request callback to support lazy loading of
	  icons.

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PathBar.cs: Fix build.

2010-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Flush sort order.

	* MonoDevelop.Components/PathBar.cs: Fix possible NREs.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/SelectFileDialog.cs:
	* MonoDevelop.Components/SelectFolderDialog.cs:
	* MonoDevelop.Components.Extensions/PlatformDialog.cs:
	* MonoDevelop.Components.Extensions/ISelectFileDialog.cs: Fix
	  headers and add some comments.

2010-01-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.addin.xml:
	* MonoDevelop.Components.Extensions:
	* MonoDevelop.Components\FileEntry.cs:
	* MonoDevelop.Components\FolderEntry.cs:
	* MonoDevelop.Components\SelectFileDialog.cs:
	* MonoDevelop.Components\SelectFolderDialog.cs:
	* MonoDevelop.Components.Extensions\PlatformDialog.cs:
	* MonoDevelop.Components.Extensions\ISelectFileDialog.cs: Add
	  support for platform-specific common dialogs. Added the
	  default implementations for file and folder selectors.

2010-01-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/FixedWidthWrapLabel.cs: Added support
	  for setting a font description.

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs:
	* MonoDevelop.Components.DockToolbars/DockToolbarFrameStatus.cs:
	* MonoDevelop.Components.Commands.ExtensionNodes/ItemSetCodon.cs:
	  Use an Id instead of a localizable name to identify
	  toolbars. Fixes toolbar layout issue when switching locales.

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Components.FolderListSelector.cs: Flush.

2010-01-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/SearchEntry.cs: seach entry menu can
	  now contain check items.

	* gtk-gui/objects.xml: 

2010-01-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PathBar.cs: Don't requisition full
	  width, just fill whatever space is available. Still need
	  scrolling or ellipsis to make it fully usable in such cases,
	  but it's still an improvement over the old version.

2010-01-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PathBar.cs: Include arrow area in
	  position lookup for hover.

2010-01-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PathBar.cs: Implement menu support.
	  Still needs scrolling/ellipsizing etc. - right now it just
	  cuts off if it's overwide, but at least it's better than
	  widening the window like the old one did.

2010-01-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/PathBar.cs: Track button press.

2010-01-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj: Add path bar source file to
	  project.

	* MonoDevelop.Components/PathBar.cs: New path bar widget. Not
	  finished yet.

	* MonoDevelop.Components.Commands/MenuToolButton.cs: Tidy a
	  little.

2010-01-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs: Use
	  the right kind of cursor for drag-moving.

	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	  Render each row separately so that background matches
	  individual bars.

	* MonoDevelop.Components.DockToolbars/DockGrip.cs: Narrow the
	  grip on Windows, so it looks better.

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs:
	  Eliminate ugly styled toolbox borders on Windows.

2009-12-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs:
	* MonoDevelop.Components/HslColor.cs: Added Cairo color
	  conversion methods.

	* MonoDevelop.Components/MiniButton.cs: Added clickable
	  option.

2009-12-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Avoid the
	  toolbar update scan if the CommandService has been disposed,
	  because that can happen after running a command that
	  disposes the CommandService such as the quit command. In
	  such cases it tries to resurrect wrappers for
	  destroyed/disposed managed widgets from "FocusChild"
	  properties of GTK windows, which never works. Also release
	  "lastFocused" window ref when disposing or window is
	  destroyed.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components/HoverImageButton.cs: Add the
	  HoverImageButton required by SearchEntry.

2009-12-16  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.Components/SearchEntry.cs:
	* gtk-gui/MonoDevelop.Components.FolderListSelector.cs: Flush.

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.Components.csproj: Move SearchEntry here from
	  the AssemblyBrowser.

2009-12-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj: Updated.

	* MonoDevelop.Components/HslColor.cs: Taken from text editor.
	  Allows changing color values such as brightness or
	  saturation.

	* MonoDevelop.Components/MiniButton.cs: Minimalistic button.

2009-12-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/GtkUtil.cs: Make sure the tooltip is
	  hidden when the mouse goes outside the tree or when it loses
	  the focus.

2009-12-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components/GtkUtil.cs: Implemented support for
	  automatic overflow tooltips.

	* MonoDevelop.Components/TooltipWindow.cs: Fix typo when
	  handling NudgeHorizontal option.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Use the correct Mono.Cairo reference.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components/InfoBar.cs: Added re-usable infobar
	  widget, inspired by the one in GTK+ 2.18.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs: Use GTK 2.10/2.12
	  API directly now that we depend on 2.12.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs: Paint tooltips
	  using style.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs:
	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	  Paint toolbar backgrounds themed correctly (but only when
	  horizontal).

2009-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Add
	  lots of comments explaining the Mac key mapping and
	  decomposition. Use GTK+ modifier enum values for Meta and
	  Super now that we depend on 2.12.

2009-11-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs:
	  Decompose shift from commands as well as opt. Fix ordering
	  of Apple command symbols.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Components.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj: Reference the mono-cairo
	  package.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.Components.FolderListSelector.cs: Flush.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TabLabel.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.Components.PropertyGrid/DefaultPropertyTab.cs:
	  Handled pixbuf loading failure.

2009-10-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandInfo.cs: Expose
	  IsArraySeparator for the Mac addin to access.

2009-10-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/ConsoleView.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Fix
	  warnings.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Components.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Components.addin.xml: Bump MD version.

2009-10-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/WindowTransparencyDecorator.cs: Use
	  GTK 2.12 API directly now that we depend on it.

2009-09-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.Components.PropertyGrid/EventPropertyTab.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGridTree.cs:
	* MonoDevelop.Components.PropertyGrid/DefaultPropertyTab.cs:
	  Eliminate the property grid's System.Windows.Forms
	  dependency, because it hurts Mac cold startup time.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandRouterContainer.cs:
	  Fix routing to parent.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	  Hide toolbar in propgrid in dialog.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	  Update list when propgrid value changes.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	  Use (empty) for name when name is null or empty. Make some
	  things translatable.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	  Tidy up the collection editor dialog.

2009-09-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.PropertyGrid/PropertyGridTree.cs: Fix
	  collection editors.

2009-09-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Chart/Serie.cs: Fix build.

2009-09-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/ConsoleView.cs: Added Clear method.

	* MonoDevelop.Components.Chart/BasicChart.cs: Draw a gradient
	  background.

	* MonoDevelop.Components.Commands/CommandManager.cs: Added
	  some events fired before and after scanning the command
	  target chain. To be used for measuring the time required by
	  the scan.

2009-09-08  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.Components/BaseFileEntry.cs: 
	* MonoDevelop.Components/FolderEntry.cs: 
	* MonoDevelop.Components/FileEntry.cs: 
	* MonoDevelop.Components.Commands/LinkCommandEntry.cs: 
	* MonoDevelop.Components.PropertyGrid.Editors/TextEditorDialog.cs: 
	* MonoDevelop.Components.PropertyGrid.Editors/TextEditor.cs: Fix dialogs
	  to be transient for the root window or parent dialog.

2009-09-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs:
	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	  Detect changes in the size of custom controls in the
	  toolbar, and reposition the toolbars accordingly. Fixes bug
	  #500926 - Toolbar docking shows wrong tooltips.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* ChangeLog: Forgot to attribute the patch.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/objects.xml:
	* MonoDevelop.Components/ListView.cs: Add support for
	  multi-selection. Patch by Zach Lute.

	* MonoDevelop.Components.Commands/CommandMenuItem.cs: Don't
	  try to execute a command when an item that shows a submenu
	  is activated.

	* MonoDevelop.Components.Commands/CommandManager.cs: Avoid
	  infinite loops in the command target chain.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TabLabel.cs:
	* MonoDevelop.Components.Commands/CommandEntry.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/FlagsEditorCell.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/EnumerationEditorCell.cs:
	  Fixed tooltip releated warnings.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandEntrySet.cs: Fixed
	  bug with auto hide menus.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandMenu.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/CommandEntrySet.cs: Command
	  menus are now created on demand.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandRouterContainer.cs:
	  Added support for lazy command router container.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/ConsoleView.cs: Fix warnings.

	* MonoDevelop.Components/FolderListSelector.cs: Fix button
	  sensitivity issue.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components/FolderListSelector.cs:
	* gtk-gui/MonoDevelop.Components.FolderListSelector.cs: New
	  folder list selector widget.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Chart\BasicChart.cs: Handle some
	  arithmetic overflow cases.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.Chart/Serie.cs:
	* MonoDevelop.Components.Chart/BasicChart.cs: Some
	  improvements in the chart widget. Use cairo to render the
	  lines. Added a new display mode for series.

2009-08-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandRouterContainer.cs:
	  Handled null childs.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs:
	  Implemented ApplicationFocusIn/Out events.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.Components.csproj: Put objects.xml back. There
	  are still some issue with reflection-only stetic.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components.PropertyGrid:
	* MonoDevelop.Components.PropertyGrid.Editors:
	* MonoDevelop.Components.PropertyGrid/PropertyGrid.cs:
	* MonoDevelop.Components.PropertyGrid/EditorManager.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyGridTree.cs:
	* icons/MonoDevelop.Components.PropertyGrid.SortByCat.png:
	* MonoDevelop.Components.PropertyGrid.Editors/IntRange.cs:
	* MonoDevelop.Components.PropertyGrid/EventPropertyTab.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/FloatRange.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/TextEditor.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyEditorCell.cs:
	* MonoDevelop.Components.PropertyGrid/DefaultPropertyTab.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/EventEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/DefaultEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/DateTimeEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/TimeSpanEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/FlagsEditorCell.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/ColorEditorCell.cs:
	* icons/MonoDevelop.Components.PropertyGrid.EventPropertyTab.svg:
	* icons/MonoDevelop.Components.PropertyGrid.EventPropertyTab.bmp:
	* MonoDevelop.Components.PropertyGrid.Editors/CollectionEditor.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/TextEditorDialog.cs:
	* icons/MonoDevelop.Components.PropertyGrid.DefaultPropertyTab.bmp:
	* icons/MonoDevelop.Components.PropertyGrid.DefaultPropertyTab.svg:
	* MonoDevelop.Components.PropertyGrid.Editors/BooleanEditorCell.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/CharPropertyEditor.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyEditorTypeAttribute.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/FlagsSelectorDialog.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyValueChangedEventArgs.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/EnumerationEditorCell.cs:
	* MonoDevelop.Components.PropertyGrid/SurrogateUITypeEditorAttribute.cs:
	* MonoDevelop.Components.PropertyGrid.Editors/ExpandableObjectEditor.cs:
	* MonoDevelop.Components.PropertyGrid/PropertyValueChangedEventHandler.cs:
	  Moved property grid here, so it can be reused by core
	  add-ins.

2009-07-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/TooltipWindow.cs: Fixed the annoying
	  ''** Message: ATK_ROLE_TOOLTIP object found, but doesn't
	  look like a tooltip.** Message: ATK_ROLE_TOOLTIP object
	  found, but doesn't look like a tooltip.'' message.


2009-06-23  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* icons/MonoDevelop.Close.png:
	* MonoDevelop.Components/TabLabel.cs:
	  Fix display regression with tab close button.

2009-06-22  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Components/TabLabel.cs:
	  Reduce unnecessary whitespace.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Chart\BasicChart.cs:
	* MonoDevelop.Components.Chart\IntegerAxis.cs: Don't crash on
	  arithmetic overflows.

2009-06-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.csproj:
	* MonoDevelop.Components/ConsoleView.cs: Added ConsoleView, a
	  widget for implementing consoles.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/CellRendererComboBox.cs: Provide the
	  active text in the arguments of the selection changed event.

	* MonoDevelop.Components.Commands/CommandManager.cs: Minor
	  fix.

2009-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components\TabLabel.cs: Use less spacing on the
	  tab label.

2009-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands\KeyBindingSet.cs: Use new
	  api for doing atomic renames.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/WindowTransparencyDecorator.cs: Fix
	  typo - set property, not its backing field. Fixes window
	  remaining transparent after hiding.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/WindowTransparencyDecorator.cs:
	  Better fix for the metacity bug.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/WindowTransparencyDecorator.cs: Move
	  the workaround for "Bug 492264 - Intellisense menu locks on
	  top of the screen" to here so that it affects all users of
	  the decorator.

	* MonoDevelop.Components.Commands/KeyBindingManager.cs:
	  Reorder Mod5 setting in raw key mapping for consistency.

2009-04-30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandToolButton.cs: Use
	  display formatting for accelerator in tooltip.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	  Toolbar buttons show now the accel keys of the command.

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: Don't
	  assign the method if there is already one assigned (maybe
	  from a subclass). Fixes regression for bug #320874 - Add
	  "Exclude from project" in contextual menu of a file in the
	  solution explorer.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs:
	  Refactor out GetRootKey method from MapRawKeys. It's
	  currently only used on the Mac platform but could be used by
	  others. Also cache the mappings.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs:
	  Remwork raw key remapping code. Decompose the real keys
	  behind the Mac's alt-composed chars.

	* MonoDevelop.Components.Commands/CommandManager.cs: Track
	  KeyBindingManager API.

2009-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs:
	  Add macShortcut property to commands, and use it as the
	  shortcut when on Mac.

	* MonoDevelop.Components.Commands.ExtensionNodes/SchemeExtensionNode.cs:
	  Add forMac property for flagging whether keybinding schemes
	  are for the Mac. Close streams correctly.

	* MonoDevelop.Components.Commands/KeyBindingService.cs: Use
	  schemes' new IsForMac property. Store bindings in
	  KeyBindingsMac.xml when on Mac so that user can have
	  side-by-side Mac and !Mac bindings.

2009-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Use
	  PropertyService.IsMac. Hide IsMac property.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* MonoDevelop.Components.csproj: don't require specific
	gtk-sharp version.

2009-04-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs:
	  Restore concise (Ctrl/Control) display label.

2009-04-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Fix
	  alt modifier mapping.

2009-04-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Fix
	  GTK 2.8 build.

2009-04-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs: Use
	  BindingToDisplayLabel to format the commands in a
	  platform-specific way.

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Add
	  platform detection and Mac-specific behaviours. Handle more
	  modifier keys. Refactor out support for parsing partial
	  bindings, and displaying full and partial bindings in a
	  platform-specific way. Handle Mac modifiers.

	* MonoDevelop.Components.Commands/CommandManager.cs: Track
	  KeyBindingManager API.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Components.addin.xml: Bump MD version.

2009-04-14  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandInfo.cs: Don't
	  publicly expose ArrayInfo/DataItem setters.

2009-04-11  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs: made one
	  method public for the mac platform.

2009-02-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandEntry.cs:
	* MonoDevelop.Components.Commands/CommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs:
	* MonoDevelop.Components.Commands.ExtensionNodes/CommandItemCodon.cs:
	  Implemented new flag which allows setting if a menu item has
	  to be visible if it is not enabled.

	* MonoDevelop.Components.Commands/CommandMenu.cs:
	* MonoDevelop.Components.Commands/CommandEntrySet.cs:
	  Implemented autohide flag on menus (when set, menus are
	  hidden when all child options are hidden).

	* MonoDevelop.Components.Commands/CommandManager.cs: Added
	  overload which allows creating a CommandEntrySet for a
	  specific extension context.

2009-02-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs:
	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs:
	  Added method for reseting the toolbar positions.

2009-02-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Don't
	  use a finaliser for managed disposal.

2009-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs:
	  Dispose Gdk cursors, else finalisers destroy them outside of
	  the GUI thread and often crash MD due to X asserts resulting
	  in _XCBUnlockDisplay errors.

2009-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/ListView.cs: Don't force selection to
	  stay in view when the VAdjustment is changed. Fixes "Bug
	  470910 - Can't scroll past selected file in go-to-file
	  dialog".

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Components/ListView.cs:
	* MonoDevelop.Components/NotebookButtonBar.cs: Fixed compiler
	  warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.mdp:
	* MonoDevelop.Components.csproj: Migrated to MSBuild file
	  format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Components.addin.xml: Bump MD version.

2009-02-02  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs: Flush.

2009-01-19  Zach Lute  <zach.lute@gmail.com>

	* MonoDevelop.Components/ListView.cs: The ListView page should now be
	updated when necessary.  Fixes first item in Go To Dialog not
	displaying correctly.

2009-01-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/FileEntry.cs: Get the selected file before
	destroying the selector dialog. Fixes bug #461702 - Browsing for a
	strong name file does not work.

2008-12-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/objects.xml:
	* MonoDevelop.Components.mdp:
	* MonoDevelop.Components/TooltipWindow.cs:
	* MonoDevelop.Components/WindowTransparencyDecorator.cs: Moved
	TooltipWindow from MD.Projects.Gui.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.mdp: Set correct target framework.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.mdp:
	* MonoDevelop.Components/ListView.cs: Added list view widget.

2008-12-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.mdp:
	* MonoDevelop.Components.Commands/KeyBindingSet.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/KeyBindingScheme.cs:
	* MonoDevelop.Components.Commands/KeyBindingService.cs:
	* MonoDevelop.Components.Commands.ExtensionNodes/SchemeExtensionNode.cs:
	Moved some of the logic for handling key bindings into the new
	KeyBindingSet class. It makes it easier to work with schemes.

	* MonoDevelop.Components.Commands/ActionCommand.cs: Allow setting a
	specific default handler instance.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Components.mdp: Fix Makefile integration for
	AssemblyInfo.cs files.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in: Add AssemblyInfo.cs files that are autogenerated
	from the addin manifests.

2008-11-24  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.Components/MenuButton.cs: Added StockImage property to
	set an image from a stock item value.

2008-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingService.cs: Added method for
	reseting the current bindings.

2008-11-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Fix issue with parallel building.

	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/KeyBindingService.cs: Create the
	default binding scheme from what's defined in the commands.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.addin.xml: Bump MD version.

2008-10-24  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Components/MenuButton.cs: Don't attach a StateChanged
	event handler from a variable, because GTK# explodes. Instead of the
	attach/remove, use a flag and an override.

2008-09-16  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.Components.DockToolbars/FixedPanel.cs:
	Clone the widgets in Forall since the callback call do things like
	removing the widget from the container which will invalidate the
	ArrayList enumerator.  Based on a patch provided by David Anes.

2008-09-08  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components.Commands/Command.cs,
	  MonoDevelop.Components.Commands/ICommandUpdateHandler.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs: Added support
	  for custom command handlers, which can intercept the executon of
	  commands.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components.Commands/IMultiCastCommandRouter.cs,
	  MonoDevelop.Components.Commands/ICommandUpdateHandler.cs,
	  MonoDevelop.Components.Commands/CommandArrayInfo.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/CustomCommandUpdaterAttribute.cs:
	  Add support for multicast command dispatching. Added support for
	  custom command update handlers.
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs,
	  MonoDevelop.Components.Commands/CommandInfo.cs: Added property for
	  setting a checkbox menu item as inconsistent.

2008-08-06  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands/MenuToolButton.cs: Show a down arrow
	  if there's no icon.

2008-08-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs: Don't crash if
	  the toolbar is not bound to a command frame.
	* gtk-gui/objects.xml, MonoDevelop.Components.mdp,
	  MonoDevelop.Components/IconView.cs,
	  MonoDevelop.Components/FixedWidthWrapLabel.cs,
	  MonoDevelop.Components/FolderEntry.cs,
	  MonoDevelop.Components/MenuButton.cs,
	  MonoDevelop.Components/NotebookButtonBar.cs,
	  MonoDevelop.Components/FileEntry.cs: Stetic updates.
	* MonoDevelop.Components.Commands/LocalCommandEntry.cs: Added
	  constructor overload for setting the command icon.
	* MonoDevelop.Components.Commands/CommandToolButton.cs: If a tool
	  button does not have an icon, show the full text.
	* MonoDevelop.Components.Commands/CommandManager.cs: Allow setting the
	  initial command target when creating a toolbar.
	* MonoDevelop.Components.Commands/CommandEntrySet.cs: Added helper
	  method for adding separators to the set.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components.mdp: Removed some parts of the documentation
	  service.

2008-07-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Map Gdk.Key.L1
	  to Gdk.Key.F11: they have the same integer value, but name lookups
	  are returning the more uncommon name. Similarly map L2 to F12.

2008-07-10  Jae Stutzman <jaebird@gmail.com> 

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs: Added the
	  capability to remove a single toolbar.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/FileSelector.cs,
	  MonoDevelop.Components/FileEntry.cs: Use the OnDestroyed event
	  instead of Dispose, since with the latest changes in gtk#, Dispose
	  is not called anymore when a widget is destroyed.

2008-05-23  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.Components/CommandManager.cs: reverting r72068 to avoid
	exceptions resulting from more accurate object finalization in 
	gtk-sharp. If accel collision problems present, we should investigate
	the removal of the menu's accel group from the toplevel window instead
	of destroying it prematurely.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/BaseFileEntry.cs: New project model changes.

2008-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandArrayInfo.cs: Added new
	  methods for inserting CommandInfos to the list.

2008-05-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Fix "Bug 381499
	  - Inconsistent keybindings." by forcing Gdk.Key.Next to Page_Down.
	  Comments explain reasons.

2008-05-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components/InvisibleFrame.cs: Fix broken size behaviour
	  with child ScrolledWindows.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components/MenuButton.cs: Use GTK 2.8 API, not 2.10.

2008-04-30  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components/InvisibleFrame.cs: Add a simple bin widget,
	  for plugging/replacing widgets in more complex layouts.

2008-04-28  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components/MenuButton.cs: Fix destruction of menu. Add
	  property for arrow direction/presence. Add properties for markup.

2008-04-24  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components/FixedWidthWrapLabel.cs, gtk-gui/objects.xml:
	  Add new WrapLabel widget.

2008-04-11  Michael Hutchinson <mhutchinson@novell.com> 

	* gtk-gui/objects.xml, Makefile.am, MonoDevelop.Components.mdp:
	  Updated.
	* MonoDevelop.Components/MenuButton.cs: New button that drops down a
	  menu.

2008-03-18  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components/FileSelector.cs: Fix disposal issues.

2008-03-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components.Commands/LinkCommandEntry.cs,
	  MonoDevelop.Components.Commands/CommandMenuItem.cs,
	  MonoDevelop.Components.Commands/CommandFrame.cs,
	  MonoDevelop.Components.Commands/CommandSelectedEventArgs.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/CommandCheckMenuItem.cs: Added
	  event to be fired when a menu item is selected. To be used for
	  showing the description of the item in the status bar.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: If a shortcut can't be
	  handled, propagate the key press event to the widget that generated it.

2008-02-14  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, gtk-gui/gui.stetic, Makefile.am,
	  MonoDevelop.Components.mdp, MonoDevelop.Components/TreeViewState.cs,
	  MonoDevelop.Components/NotebookButtonBar.cs: Added TreeViewState class,
	  which helps saving/restoring the state of a tree view. Added
	  NotebookButtonBar.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/CommandItemCodon.cs,
	  MonoDevelop.Components.Commands/CommandMenuItem.cs,
	  MonoDevelop.Components.Commands/CommandCheckMenuItem.cs,
	  MonoDevelop.Components.Commands/CommandEntry.cs: It's now possible to
	  override labels in the CommandItemCodon.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml: Update MD version.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands/CommandEntry.cs: Remove command
	  accelerator underscores from tooltips.

2007-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/CommandCategoryCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs:
	  Extension nodes don't need to be public.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.mdp: Updated project files. The order of extended
	  properties won't change anymore.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Before executing the
	  command bound to a shortcut, check if the command is enabled.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/LinkCommandEntry.cs: Moved PlatformService
	  to MD.Core.Gui. Removed old FileIconService class, which is now
	  implemented in PlatformService.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml: Bump add-in versions.

2007-12-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.DockToolbars/DockGrip.cs: Fix orientation of
	  toolbar grip. Fixes bug #346764.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Components.Commands/LinkCommandEntry.cs: Use the new RuntimeService
	  instead of Gnome.Url.Show.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, Makefile.am, MonoDevelop.Components.mdp: Directory
	  reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components.Commands/CustomItem.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs: Added new CustomItem
	  base class to be used by custom toolbar/menu items which need to be
	  aware of toolbar style changes.
	* MonoDevelop.Components.Commands/CustomMenuItem.cs: This class is internal.
	* MonoDevelop.Components.Commands/ICommandTargetVisitor.cs,
	  MonoDevelop.Components/GladeWidgetExtract.cs,
	  MonoDevelop.Components/FolderEntry.cs,
	  MonoDevelop.Components/FileSelector.cs,
	  MonoDevelop.Components/IconView.cs, MonoDevelop.Components/Navbar.cs:
	  Added missing header.
	* MonoDevelop.Components.Commands/CommandEntry.cs: If a custom item is a
	  Gtk.ToolItem, there is no need to create a wrapper tool item.

2007-11-30  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.HtmlControl/MozillaControl.cs, Makefile.am,
	  MonoDevelop.Components.mdp: Remove GeckoSharp/Mozilla wrapper and unused
	  IE-ish web browser APIs.

2007-11-27  Aaron Bockover <abockover@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbar.cs: Override the 
	drawing of the background on toolbars to cover up the ugly border lines

2007-11-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/ItemSetCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCategoryCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/LinkItemCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/SchemeExtensionNode.cs:
	  Made some extension node attributes serializable.

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Make shortcuts work in
	  detached windows. Fixes bug #325053.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands/KeyBindingService.cs: Track LoggingService
	  API changes.

2007-11-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/BaseFileEntry.cs,
	  MonoDevelop.Components/FileEntry.cs: Add some copyright headers.
	* MonoDevelop.Components/FileSelector.cs: Set the default response button.
	  Fixes bug #337551.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.mdp: Project file names updated by change in MD
	  path functions.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components/FileSelector.cs: Applied changes that were
	  neccassary for to the new FileService.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/ItemSetCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs: Changed
	  calls for the new StringParser.

2007-10-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.mdp: Fix warning level.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml: Bump MD version.

2007-09-11  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/ItemSetCodon.cs,
	  MonoDevelop.Components.Commands/CommandEntrySet.cs: Add an autohide
	  property to ItemSetCodon to set CommandEntrySet.AutoHide, and a FIXME
	  note because it doesn't have an effect yet!
	* MonoDevelop.Components.mdp: Updated.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Don't look for command
	  handlers in gtk# classes.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components/FileSelector.cs,
	  MonoDevelop.Components.Commands/KeyBindingService.cs: Changes due to new
	  property system.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml: Assigned a better category to custom widgets.

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/TabLabel.cs: Reuse the button close image.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes/SchemeExtensionNode.cs,
	  MonoDevelop.Components.addin.xml, Makefile.am,
	  MonoDevelop.Components.mdp, KeyBindingSchemes.xml,
	  MonoDevelop.Components.Commands/KeyBindingService.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs: Added support for
	  loading key binding schemes from extension points.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Added missing null
	  check. Fixes bug #82430.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands.ExtensionNodes,
	  MonoDevelop.Components.Commands.ExtensionNodes/LocalCommandItemCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/ItemSetCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCategoryCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/LinkItemCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandItemCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/CommandCodon.cs,
	  MonoDevelop.Components.Commands.ExtensionNodes/SeparatorItemCodon.cs,
	  MonoDevelop.Components.addin.xml, Makefile.am,
	  MonoDevelop.Components.mdp,
	  MonoDevelop.Components.Commands/CommandManager.cs: Removed the
	  CommandService class. Everything is done directly with CommandManager.
	  Moved all extension node types to MD.Components.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/IconView.cs: Avoid crash in CurrentlySelected when
	  there are no items in the IconView.

2007-07-29  Zach Lute <zach.lute@gmail.com>

	* KeyBindingSchemes.xml: Added MoveBlockUp and MoveBlockDown bindings.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.addin.xml, Makefile.am, MonoDevelop.Components.mdp:
	  Reorganized the extension point hierarchy. Embedded all add-in manifests
	  as resources.

2007-08-08  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/objects.xml, MonoDevelop.Components.mdp: Inclide IconView to the
	  exported widget list.

2007-07-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: Added missing
	  null check.

2007-07-20  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingManager.cs
	(AccelToKey): Fixed to properly parse keys like % and others that
	are valid characters but have a named enum value.

2007-07-18  Jeffrey Stedfast  <fejj@novell.com>

	* MonoDevelop.Components.Commands/KeyBindingService.cs (LoadBinding):
	Doh, need to use the correct hash key.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/CommandHandlerAttribute.cs: Allow
	  assigning multiple command handler attributes to a single method.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Don't crash if a
	  command is not found.

2007-07-17  Jeffrey Stedfast  <fejj@gnome.org>

	* MonoDevelop.Components.Commands/KeyBindingService.cs: Use the
	cmd.Id as the key instead of cmd.Text.

2007-07-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/Command.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs: Add support for
	  command categories.

2007-07-17  Jeffrey Stedfast  <fejj@novell.com>

	* KeyBindingSchemes.xml: Added

	* MonoDevelop.Components.Commands/CommandManager.cs: Use the new
	KeyBindingManager and connect to the root window's KeyPressEvent
	so that we can manage our own keybindings, bypassing Gtk's limited
	key-binding management.

	* MonoDevelop.Components.Commands/KeyBindingManager.cs: New source
	file which manages key bindings.

	* MonoDevelop.Components.Commands/KeyBindingService.cs: New source
	file that can load alternate key binding schemes and save custom
	configurations.

	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs
	(Update): Manually pack an accel label into the menu item so that
	we can display Emacs-like key bindings.

	* MonoDevelop.Components.Commands/CommandMenuItem.cs (Update):
	Manually pack an accel label into the menu item so that we can
	display Emacs-like key bindings.

	* MonoDevelop.Components.Commands/Command.cs (set_AccelKey): If
	the new accel is an empty string, set to null (simplifies checks
	using this string). Also emit an event that the accel changed.

	* MonoDevelop.Components.Commands/LocalCommandEntry.cs: Updated to
	not pass a category string to RegisterCommand().

2007-07-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs: Worked on
	  Bugzilla Bug 81349.

2007-07-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.DockToolbars/DockToolbarPanel.cs: When adding
	  a toolbar make sure it does not hide other toolbars. Fixes bug
	  #76853.

2007-07-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandRouterContainer.cs: Make
	  methods overridable.

2007-06-22  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* MonoDevelop.Components/TabLabel.cs: Added a CloseClicked event to
	  encapsulate middle clicks on the tab and clicking the close button.
	  Fixes bug #81890.

2007-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Setting the accel
	  group before the main window is realized seems to work now. Notice
	  that if the accel group is assigned after the main menu is created
	  (which was hapening without this change), then the menu shortcuts
	  won't work until a menu is opened.

2007-06-01  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Components.mdp: Change runtime to 2.0 .

2007-05-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.DockToolbars/ArrowWindow.cs: Fix warning.
	* MonoDevelop.Components.Commands/LocalCommandEntry.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/CommandEntry.cs: Don't crash when
	  creating a menu which references a command which has not been
	  registered. Added method for unregistering commands.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Reference shared assemblies from the correct location.

2007-05-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/IconView.cs: Use less spacing between icons.
	  Removed use of gtk# 2.10 property.

2007-05-06  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.Components/TreeViewCellContainer.cs: Fixed compiler
	  warning.
	* MonoDevelop.Components/IconView.cs: Ported to use Gtk.IconView
	  instead of GNOME.IconList.

2007-05-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/TreeViewCellContainer.cs: Made the class
	  public and added EditingDone event.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Deployment/DeployProjectServiceExtension.cs: Avoid
	  copying files when the target destination is the same file.

2007-04-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.mdp: Updated.

2007-03-06  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp: Updated.
	* MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/ICommandTargetVisitor.cs: Added
	  support for custom command target visitors.

2007-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandToolbar.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs: Avoid disabling
	  the whole toolbar when a gui lock is requested.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Added method for
	  temporarily disabling all commands.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, Makefile.am, MonoDevelop.Components.mdp: Flush.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Components.mdp: Synchronized MD project and
	  Makefile.

2007-02-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandManager.cs: Destroy the
	  context menu after it is hidden. Makes sure all menu items are
	  disconnected from accelerators. Should fix bug #80645.

2007-02-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandMenu.cs: Avoid showing
	  unnecessary item separators.

2007-01-31  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandArrayInfo.cs,
	  MonoDevelop.Components.Commands/CommandManager.cs,
	  MonoDevelop.Components.Commands/CommandInfo.cs: Allow command
	  handlers to bypass command processing by setting a new Bypass
	  property.

2007-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, gtk-gui/objects.xml, gtk-gui/gui.stetic,
	  Makefile.am, MonoDevelop.Components.mdp,
	  MonoDevelop.Components/BaseFileEntry.cs,
	  MonoDevelop.Components/FolderEntry.cs,
	  MonoDevelop.Components/FileSelector.cs,
	  MonoDevelop.Components/FileEntry.cs: Export FileEntry and
	  FolderEntry as Stetic widgets, so they can be used in other
	  MonoDevelop assemblies.

2007-01-19  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MonoDevelop.Components.Commands/LinkCommandEntry.cs: Removed
	redundant String.Format ().

2007-01-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components.HtmlControl/MozillaControl.cs: Don't try to do
	  the initial render if the browser has not yet been realized. Fixes
	  bug #79947.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Components/FileSelector.cs: Track changes in FileService
	  API.

2006-12-13 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Components.Commands/CommandHandler.cs:
	Made class to abstract.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added svn:ignore for MonoDevelop.Components.pidb

2006-09-07 Andrés G. Aragoneses  <knocte@gmail.com>

	* MonoDevelop.Components/FileSelector.cs: Improved string.

2006-09-01 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandToolbar.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs: When
	  updating the toolbars, get the root command target only
	  once, not for every command.

	* MonoDevelop.Components.mdp: Updated.

2006-08-22 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/FileSelector.cs: Add errors thrown by
	  AddShortcutFolder. The previous fix did not work.

2006-08-21 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/FileSelector.cs: Don't add the project
	  directory shortcut if it's already added.

2006-08-08 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.Commands/CommandToolbar.cs:
	* MonoDevelop.Components.Commands/CommandMenu.cs:
	* MonoDevelop.Components.Commands/CommandToolButton.cs:
	* MonoDevelop.Components.Commands/CommandToggleToolButton.cs:
	* MonoDevelop.Components.Commands/CommandManager.cs:
	* MonoDevelop.Components.Commands/ICommandMenuItem.cs:
	* MonoDevelop.Components.Commands/CommandCheckMenuItem.cs:
	* MonoDevelop.Components.Commands/ICommandUserItem.cs:
	* MonoDevelop.Components.Commands/CommandMenuItem.cs: Support specifying
	  an initial command target for menus and toolbars.

2006-08-07 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.HtmlControl/MozillaControl.cs: Set the
	  profile path only once, not for every control instance.
	  Delay html rendering using GLib.Idle. Fixes rendering problems
	  in firefox. Removed several unused methods.
	* MonoDevelop.Components.HtmlControl/IWebBrowser.cs: Removed several
	  unused methods.

2006-08-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/FileSelector.cs: Factorized some creation
	  code into a single constructor.

2006-07-20 Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Components.HtmlControl/MozillaControl.cs: Workaround for
	  a Gecko# redraw bug.

2006-07-12 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Components.Commands/CommandMenuItem.cs: Don't reset
	  sensitive status for array items. It not necessary since those
	  items are regenerated every time the menu is shown, and doing
	  it causes some status updating problems.
	* MonoDevelop.Components.Commands/CommandInfo.cs: Store enabled and 
	  checked parameters.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* Makefile.am: Install the library to the add-ins dir.
	* MonoDevelop.Components.Commands/CommandRouterContainer.cs: Use
	  an HBox rather than a more expensive EventBox as container.
	* MonoDevelop.Components.Commands/CommandManager.cs: Make GetActiveWidget
	  work for detached dock windows.
	* MonoDevelop.Components/FileSelector.cs :Destroy de dialog when done.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.DockToolbars/DockToolbarFrame.cs:
	  Implemented ClearToolbars(), which removes all toolbars
	  from the frame.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components.mdp: Updated.

2006-04-30  David Makovský (Yakeen) <yakeen@sannyas-on.net> 

	* MonoDevelop.Components.mdp
	* Makefile.am
	* MonoDevelop.Components/DragNotebook.cs: removed (moved into Gdl) 
	
2006-03-29 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components/CellRendererComboBox.cs:
	* MonoDevelop.Components/TreeViewCellContainer.cs: New files.
	
	* MonoDevelop.Components.mdp:
	* Makefile.am: Updated.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.

2006-02-10  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components.Commands/CommandMenuItem.cs: Detect
	when a menu item is activated using an accelerator, since it
	needs a special handling.
	* MonoDevelop.Components.Commands/CommandManager.cs: Handle the
	case when one accelerator is used by more than one command.
	This case makes sense when only one of those commands can
	be activated at the same time.
	Also did some small optimization in GetActiveWidget.

2006-01-25  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components/TabLabel.cs: Fix ugly tabs.

2006-01-24  Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components/BaseFileEntry.cs: Added setter to Path
	property. Make sure to have the correct path value before firing
	the PathChanged event.

2006-01-18 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components.mdp: Added some assembly references.
	* MonoDevelop.Components/IconView.cs: Converted CurrentlySelected
	into a property. The setter now property selects the item corresponding
	with the provided value.

2006-01-13 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Components/TabLabel.cs: Added support for tooltips.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am:
	* MonoDevelop.Components.mdp: Added CommandInfoSet.cs.
	
	* MonoDevelop.Components.Commands/CommandEntrySet.cs: Added Count
	property.
	* MonoDevelop.Components.Commands/CommandMenuItem.cs: Handle enries
	of type CommandInfoSet.
	
	* MonoDevelop.Components.Commands/CommandInfo.cs: Added default
	constructor.
	* MonoDevelop.Components.Commands/CommandManager.cs: Added InsertOptions
	method.

2005-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Components/DragNotebook.cs: Fix warnings.

2005-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Renamed to from MonoDevelop.Gui.Widgets to MonoDevelop.Components.
	Changed internal organization of files and namespaces.

2005-09-22  Lluis Sanchez Gual  <lluis@novell.com>

	* CommandMenu.cs: Removed debug code.

2005-08-23  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/CommandManager.cs: Added EnableIdleUpdate property.

2005-08-20  John Luke  <john.luke@gmail.com>

	* Commands/CommandFrame.cs:
	* Commands/MenuToolButton.cs:
	* Commands/CommandManager.cs: fix some warning
	with the new gtk#

2005-08-18  Lluis Sanchez Gual  <lluis@novell.com>

	* TabLabel/TabLabel.cs:
	* Makefile.am: Added MonoDevelop.Close.png as a resource.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

    * MonoDevelop.Gui.Widgets.mdp: references update

2005-08-06  John Luke  <john.luke@gmail.com>

    * MonoDevelop.Gui.Widgets.mdp: update

2005-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Tree/TreeNodeCollection.cs:
	* Tree/TreeNode.cs:
	* Tree/TreeView.cs: Removed.

	* Commands/ActionCommand.cs: Added constructor overload.
	* Commands/CommandManager.cs: Added some overloads and helper methods.
	
	* Commands/CommandArrayInfo.cs:
	* Commands/CommandInfo.cs:
	* Commands/CommandMenuItem.cs: Allow separators in command arrays.
	* Commands/LocalCommandEntry.cs: New kind of command entry, which
	automatically registers a command if not previously registered.

2005-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/CommandManager.cs: Improve error message when an exception is
	thrown while executing a command.

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com>

	* BasicChart/*: A simple chart widget.

2005-07-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/ICommandDelegatorRouter.cs: New command routing interface.
	* Commands/CommandRouterContainer: An implementation of
	ICommandDelegatorRouter.
	* Commands/CommandManager.cs: Implemented support for
	ICommandDelegatorRouter.

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES): Move AssemblyInfo.cs ...
	(GENERATED_FILES): ... here.

2005-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* DockToolbars/*: Docking toolbars!
	
	* Commands/Command.cs: Command should be abstract.
	* Commands/CommandToolbar.cs: This now is a dockable toolbar.
	* Commands/CommandManager.cs: Register commands from CommandSystemCommands.
	* Commands/CommandFrame.cs: A frame to use as main container for windows
	that use commands in dockable toolbars.
	* Commands/CommandSystemCommands.cs: Some configuration commands.

2005-06-01  John Luke  <john.luke@gmail.com>

	* Makefile.am: remove Dock/*
	* Dock: removed
	* */*.cs: remove GtkSharp and similar references

2005-06-01  John Luke  <john.luke@gmail.com>

	* Makefile.am: no longer using gnome-vfs in here
	* FileBrowser/FileBrowser.cs: remove vfs remnents

2005-06-01  John Luke  <john.luke@gmail.com>

	* FileBrowser/FileBrowser.cs: adjust to FileIconLoader
	change

2005-05-30  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/CommandToolButton.cs: Only update button properties if
	they have really changed.
	* Commands/CommandManager.cs: Report errors using a new CommandError
	event.
	* Commands/CommandErrorHandler.cs: New delegate and event args for the
	CommandError event.

2005-05-15  Lluis Sanchez Gual  <lluis@novell.com>

	* FileBrowser/FileBrowser.cs: Catch UnauthorizedAccessException errors.
	* IconView/IconView.cs: Add a shadow to the icon view.
	* TabLabel/TabLabel.cs: Added IntPtr constructor to make gtk# happy.

2005-05-08  John Luke  <john.luke@gmail.com>

	* Tree/TreeView.cs: use DefaultSortFunc property instead
	* DataGrid/DataGrid.cs: use ColumnTypes property instead
	
2005-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/CommandManager.cs: Catch and report exceptions thrown
	while dispatching commands.

2005-05-04  Alp Toker  <alp@atoker.com>

	* Commands/CommandToolButton.cs: enable UseUnderline. The Gtk+ docs
	say "Labels shown on tool buttons never have mnemonics on them" so
	this effectively just hides the underscore.

2005-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Commands/CommandInfo.cs: Forgot to copy the description from the
	command.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Command/*: New command infrastructure.
	* Makefile.am: Added new command files.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-04-16  John Luke  <john.luke@gmail.com>

	* Tree/TreeView.cs:
	* FileBrowser/FileBrowser.cs:
	* TabLabel/TabLabel.cs: fix warnings mostly about obselete
	Gtk# API

2005-03-15  John Luke  <john.luke@gmail.com>

	* FileBrowser/FileBrowser.cs: make enum internal
	so it will compile with latest mcs

2005-01-31  John Luke  <john.luke@gmail.com>

	* FileBrowser/FileBrowser.cs: use ToolItem
	instead of action crapola

2005-01-27  John Luke  <john.luke@gmail.com>

	* Makefile.am:
	* FileBrowser/FileBrowser.cs: use Gnome.Vfs
	* FolderDialog/BaseFileEntry.cs: add new keyword
	to prevent warning

2005-01-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Tree/TreeNodeCollection.cs: Save some memory.

2004-12-01  John Luke  <john.luke@gmail.com>

	* FileBrowser/FileBrowser.cs: port to GtkAction
	some other small updates
	* Navbar/Navbar.cs: port to GtkAction

2004-12-01  John Luke  <john.luke@gmail.com>

	* FileSelector/FileSelector.cs: modified patch
	from Rubens Ramos <rubensr@users.sourceforge.net>
	to use the default path from the property service
	and make sure it exists before adding it as a bookmark

2004-12-01  John Luke  <john.luke@gmail.com>

	* FileSelector/FileSelector.cs: improve this to take advantage
	of the FileChooser and remove my old hacks that were likely buggy
	use a switch for adding the buttons
	add ~/Projects as a MD specific bookmark

2004-10-29  Todd Berman  <tberman@off.net>

	* FileSelector/FileSelector.cs: Add proper Save buttons.

2004-10-16  John Luke  <john.luke@gmail.com>

	* Makefile.am: remove MCS use $(CSC) from configure.in,
	allows make CSC=foo to work consistently

2004-09-25  Todd Berman  <tberman@off.net>

	* FileBrowser/FileBrowser.cs: Use a ArrayList instead of a Hashtable
	as it was just dup'd info. And use a using () construct instead of
	.Close.

2004-09-19  Fernando Herrera  <fherrera@onirica.com>

	* Tree/TreeView.cs: Double click expands node.

2004-08-07  Todd Berman  <tberman@off.net>

	* AssemblyInfo.cs.in: Use new ASSEMBLY_VERSION variable.

2004-06-21  John Luke  <jluke@cfl.rr.com>

	* Tree/TreeView.cs: Scroll to the node when it is selected

2004-06-18  Todd Berman  <tberman@sevenl.net>

	* DragNotebook/DragNotebook.cs: dont emit the event if either the old
	placement or the new is -1, as it isnt a real reorder.

2004-06-18  Todd Berman  <tberman@sevenl.net>

	* DragNotebook/DragNotebook.cs: add an event that gets fired when
	a tab is reordered.
	* TabLabel/TabLabel.cs: try to make this widget unfocusable (untested)

2004-06-17  John Luke  <jluke@cfl.rr.com>

	* FileSelector/FileSelector.cs: a thin wrapper for selecting files
	* Makefile.am: add FileSelector
	* FolderDialog/FileEntry.cs:
	* FolderDialog/FolderDialog.cs: use FileSelector, remove *Sharp usings

2004-06-07  John Luke  <jluke@cfl.rr.com>

	* FileBrowser/FileBrowser.cs: use a toolbar with tooltips
	instead of a hbuttonbox.

2004-06-06  John Luke  <jluke@cfl.rr.com>

	* TabLabel/TabLabel.cs: fix the size of the button to 18 so it is
	not clipped, don't allow the button to expand/fill, make the label
	do so

2004-05-09  Todd Berman  <tberman@sevenl.net>

	* DragNotebook/DragNotebook.cs: notebook from Inigo Illan to add
	dragable reorg of the notebook.
	* Makefile.am: add DragNotebook.cs to build.

2004-04-13  John Luke  <jluke@cfl.rr.com>

	* Navbar/Navbar.cs: switch the address entry to Gnome.Entry
	so we get a little history

2004-04-13  John Luke  <jluke@cfl.rr.com>
	
	* Navbar/Navbar.cs: add a navbar control for the web browser
	removes the clutter in that area

2004-04-03  Todd Berman  <tberman@sevenl.net>

	* Tree/TreeNodeCollection.cs:
	* FileBrowser/FileBrowser.cs:
	* FolderDialog/BaseFileEntry.cs:
	gettextify

2004-03-31  Todd Berman  <tberman@sevenl.net>

	* Tree/TreeNode.cs:
	* Tree/TreeView.cs: Fixing gtk+ 2.4 regression with the change from
	enum to integer. Using RenderIcon to workaround.

2004-03-27  Todd Berman  <tberman@sevenl.net>

	* Tree/TreeNodeCollection.cs: fix indentation
